umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
Settings::AutoLayoutState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| AutoLayoutState ()
void | load ()
void | save ()
void | saveToXMI1 (QDomElement &element)
bool | loadFromXMI1 (QDomElement &element)

## Public Attributes
bool | autoDotPath
| determine path to dot executable automatically More...
QString | dotPath
| path to dot executable More...
bool | showExportLayout
| flag for display export layout More...

## Constructor & Destructor Documentation

## ◆ AutoLayoutState()

Settings::AutoLayoutState::AutoLayoutState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::AutoLayoutState::load | ( |  | ) |

## ◆ loadFromXMI1()

bool Settings::AutoLayoutState::loadFromXMI1 | ( | QDomElement & | element | ) |

## ◆ save()

void Settings::AutoLayoutState::save | ( |  | ) |

## ◆ saveToXMI1()

void Settings::AutoLayoutState::saveToXMI1 | ( | QDomElement & | element | ) |

## Member Data Documentation

## ◆ autoDotPath

bool Settings::AutoLayoutState::autoDotPath

determine path to dot executable automatically

## ◆ dotPath

QString Settings::AutoLayoutState::dotPath

path to dot executable

## ◆ showExportLayout

bool Settings::AutoLayoutState::showExportLayout

flag for display export layout

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp